Flash version 10.0 or greater is required.

Download the latest version from here.